<template>
  <div class="container-subproduct">
    <b-row>
      <b-col md="6" v-for="item in dataInvoice" :key="item.name">
        <div class="container-product" @click="changeSubProduct(item)">
          <b-container class="bv-example-row">
            <b-row>
              <b-col cols="1" md="1" class="container-grid">
                <div class="image-doc"></div>
              </b-col>
              <b-col cols="10" md="10" class="container-grid container-name">
                <b-row>
                  <b-col>
                    <p class="name">{{ item.name }}</p>
                  </b-col>
                  <div class="w-100"></div>
                  <b-col>
                    <p class="description">
                      Contrary to popular belief, Lorem Ipsum is not simply
                      random text. It has roots in a piece of classical Latin
                      literature from 45 BC, making it over 2000 years old.
                      Richard McClintock, a Latin professor at Hampden-Sydney
                      College in Virginia, looked up one of the more obscure
                      Latin words, consectetur
                    </p>
                  </b-col>
                </b-row>
              </b-col>
              <b-col cols="1" md="1" class="container-grid">
                <p class="count">{{ item.count }}</p>
              </b-col>
            </b-row>
          </b-container>
        </div>
      </b-col>
    </b-row>
  </div>
</template>

<script>
import invoice from '@/assets/data/invoice/invoice.json'

export default {
  props: {
    name: String,
    count: Number,
    content: Object
  },
  data() {
    return {
      dataInvoice: invoice.contents
    }
  },
  created() {
    this.dataSubProduct()
  },
  methods: {
    dataSubProduct() {
      const jsonData = require(`@/assets/data/${this.content}`)
      this.dataInvoice = jsonData.contents
    },
    changeSubProduct(item) {
      const jsonSubProduct = require(`@/assets/data/${item.sub}`)
      this.setTableData(jsonSubProduct.contents)
    },
    setTableData(data) {
      this.$emit('setTablesData', data)
    }
  }
}
</script>

<style scoped>
.container-product {
  margin: 0;
  border: 1px solid rgb(212, 212, 212);
  border-radius: 10px;
  padding-right: 10px;
}

.container-subproduct {
  margin: 0;
  padding: 0;
}

.container-product:hover {
  margin: 0;
  border: 1px solid rgb(212, 212, 212);
  border-radius: 10px;
  background-color: #d63a31;
  cursor: pointer;
  padding-right: 10px;
}

.container-grid {
  padding: 0;
}

.image-doc {
  background-image: url('../assets/images/doc.png');
  background-size: 50px;
  background-repeat: no-repeat;
  width: 60px;
  height: 100%;
  background-position: center;
}

.container-product:hover .bv-example-row .container-grid .image-doc {
  background-image: url('../assets/images/dochover.png');
  background-size: 50px;
  background-repeat: no-repeat;
  width: 60px;
  height: 100%;
  background-position: center;
}

.container-name {
  text-align: left;
  padding-left: 40px;
}

.name {
  color: #ec4646;
  font-weight: bold;
  margin-bottom: 10px;
}

.container-product:hover .bv-example-row .container-grid .name {
  color: white;
  font-weight: bold;
  margin-bottom: 10px;
}

.description {
  padding: 5px;
  font-weight: lighter;
  font-size: 10px;
  color: rgb(148, 148, 148);
  text-align: justify;
  margin: 0;
}

.container-product:hover .bv-example-row .container-grid .description {
  padding: 5px;
  font-weight: lighter;
  font-size: 10px;
  color: white;
  text-align: justify;
  margin: 0;
}

.count {
  padding: 5px;
  text-align: left;
  color: #ec4646;
  font-weight: bold;
  font-size: 15px;
}

.container-product:hover .bv-example-row .container-grid .count {
  text-align: left;
  color: white;
  font-weight: bold;
}
</style>
